api/urls.py
from django.urls import path
from api import views

app_name = "api"
urlpatterns = [
    
]

core/urls.py
from django.urls import path
from core import views
from .models import *

app_name = "core"
urlpatterns = [
    ##STADIUM
    path('list1/stadium/',views.List1.as_view(), name="list1"),
    path('create/Stadium/',views.CreateStadium.as_view(), name="create1"),
    path('detail/Stadium/<int:pk>/', views.DetailStadium.as_view(), name= "detailone"),
    path('update/Stadium/<int:pk>/', views.UpdateStadium.as_view(), name= "Update1"),
    path('delete/Stadium/<int:pk>/', views.DeleteStadium.as_view(), name= "delete1"),
    ##TEAM
    path('list2/team/',views.List2.as_view(), name="list2"),
    path('create2/team/',views.CreateTeam.as_view(), name="create2"),
    path('detail/team/<int:pk>/', views.DetailTeam.as_view(), name= "detailtwo"),
    path('update/team/<int:pk>/', views.UpdateTeam.as_view(), name= "Update2"),
    path('delete/team/<int:pk>/', views.DeleteTeam.as_view(), name= "delete2"),
    ##CITY
    path('list3/city/',views.List3.as_view(), name="list3"),
    path('create3/city/',views.CreateCity.as_view(), name="create3"),
    path('detail/city/<int:pk>/', views.DetailCity.as_view(), name= "detailthree"),
    path('update/city/<int:pk>/', views.UpdateCity.as_view(), name= "Update3"),
    path('delete/city/<int:pk>/', views.DeleteCity.as_view(), name= "delete3"),
]

home/urls.py
from django.urls import path
from home import views

app_name = "home"
urlpatterns = [
    path('', views.Index.as_view(), name="index"),
    path('information/', views.Information.as_view(), name="information")
]

principal/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('api/', include("api.urls")),
    path('core/', include("core.urls")),
    path('', include("home.urls")),
]

api/models.py
from django.db import models

# Create your models here.

core/models.py
from django.db import models

from django.contrib.auth.models import User

# Create your models here.

##STADIUM

class Stadium(models.Model):
    user = models.ForeignKey(User, on_delete=models.CASCADE)
    gg_title = models.CharField(max_length=128, default="Stadium Title")
    desciption = models.CharField(max_length=256, default="Stadium Description")

    def __str__(self):
        return self.gg_title
    
##TEAM

class Team(models.Model):
    name1 = models.CharField(max_length=128, default="team name")
    desciption2 = models.CharField(max_length=256, default="team Description")

    def __str__(self):
        return self.name1

##CITY

##TEAM

class City(models.Model):
    name2 = models.CharField(max_length=128, default="city name")

    def __str__(self):
        return self.name2

home/models.py
from django.db import models

# Create your models here.

core/forms.py
from django import forms
from .models import *

##STADIUM

class Stadiumform(forms.ModelForm):
    class Meta:
        model = Stadium
        fields = "__all__"
        exclude = ["timestamp", "final_date"]
        widgets = {
            "user": forms.Select(attrs={"type":"select","class":"form-select"}),
            "gg_title": forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Escribe el nombre del GrantGoal"}),
            "description": forms.Textarea(attrs={"type":"text", "class":"form-control", "rows":3, "placeholder":"Escribe la descripcion del GrantGoal"}),
            }


class UpdateStadiumForm(forms.ModelForm):
    class Meta:
        model = Stadium
        fields = "__all__"
        exclude = ["timestamp", "final_date"]
        widgets = {
            "user": forms.Select(attrs={"type":"select","class":"form-select"}),
            "gg_title": forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Escribe el nombre del GrantGoal"}),
            "description": forms.Textarea(attrs={"type":"text", "class":"form-control", "rows":3, "placeholder":"Escribe la descripcion del GrantGoal"}),
            }

##TEAM

class Teamform(forms.ModelForm):
    class Meta:
        model = Team
        fields = "__all__"
        widgets = {
            "name": forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Whrite name of the team"}),
            "description": forms.Textarea(attrs={"type":"text", "class":"form-control", "rows":3, "placeholder":"whhrite the description"}),
            }
        
class UpdateTeamform(forms.ModelForm):
    class Meta:
        model = Team
        fields = "__all__"
        widgets = {
            "name": forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Whrite name of the team"}),
            "description": forms.Textarea(attrs={"type":"text", "class":"form-control", "rows":3, "placeholder":"whhrite the description"}),
            }

##CITY

class Cityform(forms.ModelForm):
    class Meta:
        model = City
        fields = "__all__"
        widgets = {
            "name": forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Whrite name of the City"}),
            }

class UpdateCityform(forms.ModelForm):
    class Meta:
        model = City
        fields = "__all__"
        widgets = {
            "name": forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Whrite name of the City"}),
            }

api/views.py
from django.shortcuts import render

# Create your views here.

core/views.py
from django.shortcuts import render

from django.views import generic

from django.urls import reverse_lazy
from .models import *
from .forms import *



# Create your views here.

##STADIUM

class List1(generic.View):
    template_name = "core/list1.html"
    context = {}

    def get(self, request, *args, **kwargs):
        queryset = Stadium.objects.all()
        self.context = {
            "Stadium": queryset
        }
        return render(request, self.template_name,self.context)


class DetailStadium(generic.DetailView):
    template_name = "core/detail1.html"
    model = Stadium


class CreateStadium(generic.CreateView):
    template_name = "core/create1.html"
    model = Stadium
    form_class = Stadiumform
    success_url = reverse_lazy("core:list1")


class UpdateStadium(generic.UpdateView):
    template_name = "core/Update1.html"
    model = Stadium
    form_class = UpdateStadiumForm
    success_url = reverse_lazy("core:list1")

class DeleteStadium(generic.DeleteView):
    template_name = "core/delete1.html"
    model = Stadium
    success_url = reverse_lazy("core:list1")


##TEAMS

class List2(generic.View):
    template_name = "core/list2.html"
    context = {}

    def get(self, request, *args, **kwargs):
        queryset = Team.objects.all()
        self.context = {
            "Team": queryset
        }
        return render(request, self.template_name,self.context)
    
class CreateTeam(generic.CreateView):
    template_name = "core/create2.html"
    model = Team
    form_class = Teamform
    success_url = reverse_lazy("core:list2")

class DetailTeam(generic.DetailView):
    template_name = "core/detail2.html"
    model = Team

class UpdateTeam(generic.UpdateView):
    template_name = "core/Update2.html"
    model = Team
    form_class = UpdateTeamform
    success_url = reverse_lazy("core:list2")

class DeleteTeam(generic.DeleteView):
    template_name = "core/delete2.html"
    model = Team
    success_url = reverse_lazy("core:list2")

##CITY

class List3(generic.View):
    template_name = "core/list3.html"
    context = {}

    def get(self, request, *args, **kwargs):
        queryset = City.objects.all()
        self.context = {
            "City": queryset
        }
        return render(request, self.template_name,self.context)

class CreateCity(generic.CreateView):
    template_name = "core/create3.html"
    model = City
    form_class = Cityform
    success_url = reverse_lazy("core:list3")

class DetailCity(generic.DetailView):
    template_name = "core/detail3.html"
    model = City

class UpdateCity(generic.UpdateView):
    template_name = "core/Update3.html"
    model = City
    form_class = UpdateCityform
    success_url = reverse_lazy("core:list3")

class DeleteCity(generic.DeleteView):
    template_name = "core/delete3.html"
    model = City
    success_url = reverse_lazy("core:list3")

home/views.py
from django.shortcuts import render
from django.views import generic

# Create your views here.

class Index(generic.View):
    template_name = "home/index.html"
    def get(self,request, *args, **kwargs):

        return render(request, self.template_name)


class Information(generic.View):
    template_name = "home/information.html"
    def get(self,request, *args, **kwargs):

        return render(request, self.template_name)

templates/base/base.html
{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{% block title %} {% endblock title %}</title>
    <link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">
    <style>
      body {
          font-family: 'Courier New', Courier, monospace;
          margin: 0;
          padding: 0;
          min-height: 100vh;
      }
  
      nav {
          background-color: #ffffff;
          overflow: hidden;
          box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
          width: 100%;
          display: flex;
          align-items: center;
          justify-content: space-between;
      }
  
      nav ul.navbar-nav {
          display: flex;
          justify-content: center; /* Centrar horizontalmente */
          align-items: center; /* Centrar verticalmente */
          margin-right: 20px; /* Ajustar el margen derecho si es necesario */
      }
  
      nav a {
          display: block;
          color: #225282;
          text-align: center;
          padding: 14px 16px;
          text-decoration: none;
      }
  
      @media screen and (max-width: 600px) {
          nav a {
              flex-direction: column;
              align-items: flex-start;
          }
      }
  </style>

</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-light bg-warning">
        <a class="navbar-brand" href="{% url 'home:index' %}">NFL</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav">
            <li class="nav-item active">
              <a class="nav-link" href="{% url 'home:index' %}">Home</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="{% url 'home:information' %}">Information</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="{% url 'core:list1' %}">Stadium</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="{% url 'core:list2' %}">Teams</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="{% url 'core:list3' %}">City</a>
            </li>
          </ul>
        </div>
      </nav>
      {% block content %}
      {% endblock content %}
      <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <footer class="text-center text-white" style="background-color: #f1f1f1;">
            <!-- Grid container -->
            <div class="container pt-4">
              <!-- Section: Social media -->
              <section class="mb-4">
                <!-- Facebook -->
                <a
                  class="btn btn-link btn-floating btn-lg text-dark m-1"
                  href="#!"
                  role="button"
                  data-mdb-ripple-color="dark"
                  ><i class="fab fa-facebook-f"></i
                ></a>
          
                <!-- Twitter -->
                <a
                  class="btn btn-link btn-floating btn-lg text-dark m-1"
                  href="#!"
                  role="button"
                  data-mdb-ripple-color="dark"
                  ><i class="fab fa-twitter"></i
                ></a>
          
                <!-- Google -->
                <a
                  class="btn btn-link btn-floating btn-lg text-dark m-1"
                  href="#!"
                  role="button"
                  data-mdb-ripple-color="dark"
                  ><i class="fab fa-google"></i
                ></a>
          
                <!-- Instagram -->
                <a
                  class="btn btn-link btn-floating btn-lg text-dark m-1"
                  href="#!"
                  role="button"
                  data-mdb-ripple-color="dark"
                  ><i class="fab fa-instagram"></i
                ></a>
          
                <!-- Linkedin -->
                <a
                  class="btn btn-link btn-floating btn-lg text-dark m-1"
                  href="#!"
                  role="button"
                  data-mdb-ripple-color="dark"
                  ><i class="fab fa-linkedin"></i
                ></a>
                <!-- Github -->
                <a
                  class="btn btn-link btn-floating btn-lg text-dark m-1"
                  href="#!"
                  role="button"
                  data-mdb-ripple-color="dark"
                  ><i class="fab fa-github"></i
                ></a>
              </section>
              <!-- Section: Social media -->
            </div>
            <!-- Grid container -->
          
            <!-- Copyright -->
            <div class="text-center text-dark p-3" style="background-color: rgba(0, 0, 0, 0.2);">
              © 2023 Copyright: josx.le
              <a class="text-dark" href="https://mdbootstrap.com/">NFL.com</a>
            </div>
            <!-- Copyright -->
          </footer>
</body>
</html>

templates/core/Update1.html
{% extends "base/base.html" %}

{% block title %}
  UPDATE Stadium
{% endblock title %}

{% block content %}
    <form action="" method="post" class="form">
        {% csrf_token %}
        {{ form }}
        <button type="submit" class="btn btn-outline-primary">Update GrantGoal</button>
        <a href="{% url 'core:list1' %}" class="btn btn-outline-warning">Cancel</a>
    </form>
{% endblock content %}

templates/core/Update2.html
{% extends "base/base.html" %}

{% block title %}
  UPDATE Teams
{% endblock title %}

{% block content %}
    <form action="" method="post" class="form">
        {% csrf_token %}
        {{ form }}
        <button type="submit" class="btn btn-outline-primary">Update Teams</button>
        <a href="{% url 'core:list2' %}" class="btn btn-outline-warning">Cancel</a>
    </form>
{% endblock content %}

templates/core/Update3.html
{% extends "base/base.html" %}

{% block title %}
  UPDATE city
{% endblock title %}

{% block content %}
    <form action="" method="post" class="form">
        {% csrf_token %}
        {{ form }}
        <button type="submit" class="btn btn-outline-primary">Update City</button>
        <a href="{% url 'core:list3' %}" class="btn btn-outline-warning">Cancel</a>
    </form>
{% endblock content %}

templates/core/create1.html
{% extends "base/base.html" %}

{% block title %}
  CREATE STADIUM
{% endblock title %}

{% block content %}
    <form action="" method="post" class="form">
        {% csrf_token %}
        {{ form }}
        <button type="submit" class="btn btn-outline-success">Create Stadium</button>
        <a href="{% url 'core:list1' %}" class="btn btn-outline-warning">Cancel</a>
    </form>
{% endblock content %}

templates/core/create2.html
{% extends "base/base.html" %}

{% block title %}
  CREATE Team
{% endblock title %}

{% block content %}
    <form action="" method="post" class="form">
        {% csrf_token %}
        {{ form }}
        <button type="submit" class="btn btn-outline-success">Create Team</button>
        <a href="{% url 'core:list2' %}" class="btn btn-outline-warning">Cancel</a>
    </form>
{% endblock content %}

templates/core/create3.html
{% extends "base/base.html" %}

{% block title %}
  CREATE City
{% endblock title %}

{% block content %}
    <form action="" method="post" class="form">
        {% csrf_token %}
        {{ form }}
        <button type="submit" class="btn btn-outline-success">Create City</button>
        <a href="{% url 'core:list3' %}" class="btn btn-outline-warning">Cancel</a>
    </form>
{% endblock content %}

templates/core/delete1.html
{% extends "base/base.html" %}

{% block title %}
  DELETE Stadium
{% endblock title %}

{% block content %}
    <form action="" method="post">
        {% csrf_token %}
        Are you shure?: {{ object }}?
        <button type="submit" class="btn btn-outline-danger">Delete Stadium</button>
        <a href="{% url 'core:list1'%}" class="btn btn-outline-warning">Cancel</a>
    </form>
{% endblock content %}

templates/core/delete2.html
{% extends "base/base.html" %}

{% block title %}
  DELETE Team
{% endblock title %}

{% block content %}
    <form action="" method="post">
        {% csrf_token %}
        Are you shure?: {{ object }}?
        <button type="submit" class="btn btn-outline-danger">Delete Team</button>
        <a href="{% url 'core:list2'%}" class="btn btn-outline-warning">Cancel</a>
    </form>
{% endblock content %}

templates/core/delete3.html
{% extends "base/base.html" %}

{% block title %}
  DELETE city
{% endblock title %}

{% block content %}
    <form action="" method="post">
        {% csrf_token %}
        Are you shure?: {{ object }}?
        <button type="submit" class="btn btn-outline-danger">Delete city</button>
        <a href="{% url 'core:list3'%}" class="btn btn-outline-warning">Cancel</a>
    </form>
{% endblock content %}

templates/core/detail1.html
{% extends "base/base.html" %}

{% block title %}
  DETAIL GRANTGOAL VIEW
{% endblock title %}


{% block content %}
<div class="accordion" id="accordionExample">
    <div class="accordion-item">
      <h2 class="accordion-header" id="headingOne">
        <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
            {{ object.gg_title }}
        </button>
      </h2>
      <div id="collapseOne" class="accordion-collapse collapse show" aria-labelledby="headingOne" data-bs-parent="#accordionExample">
        <div class="accordion-body">
          <strong>This is the grantgoal: {{ object.gg_title }} .</strong> <br>
          Grantgoal Description: {{ object.description }}
        </div>
      </div>
    </div>
    <div class="accordion-item">
      <h2 class="accordion-header" id="headingTwo">
        <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
          Date Data
        </button>
      </h2>
      <div id="collapseTwo" class="accordion-collapse collapse" aria-labelledby="headingTwo" data-bs-parent="#accordionExample">
        <div class="accordion-body">
          <strong>This is the timestamp {{ object.timestamp }} to grantgoal {{ object.gg_title }} </strong> with Duration {{ object.days_duration }} days, The Deadline grantgoal is: {{ object.final_date }}
        </div>
      </div>
    </div>
    <div class="accordion-item">
      <h2 class="accordion-header" id="headingThree">
        <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
          Status Grant Goal
        </button>
      </h2>
      <div id="collapseThree" class="accordion-collapse collapse" aria-labelledby="headingThree" data-bs-parent="#accordionExample">
        <div class="accordion-body">
          <strong>This is the status {{ object.status }} for the {{ object.gg_title }} </strong> Its state is: {{ object.state }}
        </div>
      </div>
    </div>
  </div>
  
  <a href="{% url 'core:list1' %}">back to list</a>
{% endblock content %}

templates/core/detail2.html
{% extends "base/base.html" %}

{% block title %}
  DETAIL TEAM
{% endblock title %}


{% block content %}
<div class="accordion" id="accordionExample">
    <div class="accordion-item">
      <h2 class="accordion-header" id="headingOne">
        <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
            {{ object.gg_title }}
        </button>
      </h2>
      <div id="collapseOne" class="accordion-collapse collapse show" aria-labelledby="headingOne" data-bs-parent="#accordionExample">
        <div class="accordion-body">
          <strong>This is the grantgoal: {{ object.gg_title }} .</strong> <br>
          Grantgoal Description: {{ object.description }}
        </div>
      </div>
    </div>
    <div class="accordion-item">
      <h2 class="accordion-header" id="headingTwo">
        <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
          Date Data
        </button>
      </h2>
      <div id="collapseTwo" class="accordion-collapse collapse" aria-labelledby="headingTwo" data-bs-parent="#accordionExample">
        <div class="accordion-body">
          <strong>This is the timestamp {{ object.timestamp }} to grantgoal {{ object.gg_title }} </strong> with Duration {{ object.days_duration }} days, The Deadline grantgoal is: {{ object.final_date }}
        </div>
      </div>
    </div>
    <div class="accordion-item">
      <h2 class="accordion-header" id="headingThree">
        <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
          Status Grant Goal
        </button>
      </h2>
      <div id="collapseThree" class="accordion-collapse collapse" aria-labelledby="headingThree" data-bs-parent="#accordionExample">
        <div class="accordion-body">
          <strong>This is the status {{ object.status }} for the {{ object.gg_title }} </strong> Its state is: {{ object.state }}
        </div>
      </div>
    </div>
  </div>
  
  <a href="{% url 'core:list2' %}">back to list</a>
{% endblock content %}

templates/core/detail3.html
{% extends "base/base.html" %}

{% block title %}
  DETAIL City
{% endblock title %}


{% block content %}
<div class="accordion" id="accordionExample">
    <div class="accordion-item">
      <h2 class="accordion-header" id="headingOne">
        <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
            {{ object.gg_title }}
        </button>
      </h2>
      <div id="collapseOne" class="accordion-collapse collapse show" aria-labelledby="headingOne" data-bs-parent="#accordionExample">
        <div class="accordion-body">
          <strong>This is the grantgoal: {{ object.gg_title }} .</strong> <br>
          Grantgoal Description: {{ object.description }}
        </div>
      </div>
    </div>
    <div class="accordion-item">
      <h2 class="accordion-header" id="headingTwo">
        <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
          Date Data
        </button>
      </h2>
      <div id="collapseTwo" class="accordion-collapse collapse" aria-labelledby="headingTwo" data-bs-parent="#accordionExample">
        <div class="accordion-body">
          <strong>This is the timestamp {{ object.timestamp }} to grantgoal {{ object.gg_title }} </strong> with Duration {{ object.days_duration }} days, The Deadline grantgoal is: {{ object.final_date }}
        </div>
      </div>
    </div>
    <div class="accordion-item">
      <h2 class="accordion-header" id="headingThree">
        <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
          Status Grant Goal
        </button>
      </h2>
      <div id="collapseThree" class="accordion-collapse collapse" aria-labelledby="headingThree" data-bs-parent="#accordionExample">
        <div class="accordion-body">
          <strong>This is the status {{ object.status }} for the {{ object.gg_title }} </strong> Its state is: {{ object.state }}
        </div>
      </div>
    </div>
  </div>
  
  <a href="{% url 'core:list3' %}">back to list</a>
{% endblock content %}

templates/core/list2.html
{% extends 'base/base.html' %}

{% block title %} LIST TEAMS {% endblock title %}

{% block content %}


    <a href="{% url 'core:create2' %}" class="btn btn-outline-success form-control">Add a New Team</a>
    <table class="table table-striped table-hover">
        <thead>
            <th>NAME</th>
            <th>DESCRIPTION</th>
            <th></th>

        </thead>
        <tbody>
            {% for Team in Team %}
                <tr>
                    <td>{{ Team.name1 }}</td>
                    <td>{{ Team.desciption2 }}</td>
                    <td><a href="{% url 'core:detailtwo' Team.id %}" class="btn btn-outline-info"> Detail </a></td>
                    <td><a href="{% url 'core:Update2' Team.id %}" class="btn btn-outline-warning"> Update</a></td>
                    <td><a href="{%  url 'core:delete2' Team.id %}" class="btn btn-outline-danger">Delete</a></td>
                </tr>
            {% endfor %}
        </tbody>
    </table>
   
{% endblock content %}

templates/core/list3.html
{% extends 'base/base.html' %}

{% block title %} LIST OF CITYS {% endblock title %}

{% block content %}


    <a href="{% url 'core:create3' %}" class="btn btn-outline-success form-control">Add a New City</a>
    <table class="table table-striped table-hover">
        <thead>
            <th>NAME</th>
            <th></th>

        </thead>
        <tbody>
            {% for City in City %}
                <tr>
                    <td>{{ City.name2 }}</td>
                    <td><a href="{% url 'core:detailthree' City.id %}" class="btn btn-outline-info"> Detail </a></td>
                    <td><a href="{% url 'core:Update3' City.id %}" class="btn btn-outline-warning"> Update</a></td>
                    <td><a href="{%  url 'core:delete3' City.id %}" class="btn btn-outline-danger">Delete</a></td>
                </tr>
            {% endfor %}
        </tbody>
    </table>
   
{% endblock content %}

templates/home/index.html
{% extends "base/base.html" %}
{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{% block title %} Lobby {% endblock title %}</title>
    <link rel="stylesheet" href="css.css">

</head>
<body>
    {% block content %}
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
        <center>
            Welcome to NFL lobby
            <br>
            <br>
            <img src="{% static 'logooo.jpeg' %}" alt="" width="100" height="100">
        </center>
    {% endblock content %}
</body>
</html>

templates/home/information.html
{% extends "base/base.html" %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{% block title %} Information {% endblock title %}</title>
    <link rel="stylesheet" href="css.css">

</head>
<body>
    {% block content %}
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
        <center>
            <p>
                The National Football League (NFL) was founded in 1920 as the American Professional Football Association (APFA) with ten teams from four states, all of whom existed in some form as participants of regional leagues in their respective territories. The league took on its current name in 1922. The NFL was the first professional football league to successfully establish a nationwide presence, after several decades of failed attempts.[citation needed] Only two founding members are still in the league, the Decatur Staleys (now the Chicago Bears) and the Chicago Cardinals (founded in 1898, joined the NFL in 1920, now the Arizona Cardinals) is the oldest NFL franchise.

                League membership gradually stabilized throughout the 1920s and 1930s as the league adopted progressively more formal organization. The first official championship game was held in 1933. The NFL stopped signing black players in 1927 but reintegrated in 1946 following World War II. Other changes followed after the war; the office of league President evolved into the more powerful Commissioner post, mirroring a similar move in Major League Baseball. Teams became more financially viable, the last team folding in 1952 and the league absorbing teams from the briefly more successful All-America Football Conference in 1950, of which only the San Francisco 49ers and the Cleveland Browns survive. By 1958, when that season's NFL championship game became known as "the most exciting game ever played", the NFL was on its way to becoming one of the most popular sports leagues in the United States.
                
                The rival American Football League was founded in 1960. It was very successful, and forced a merger with the older NFL that resulted in a greatly expanded league and the creation of the Super Bowl, which has become the most-watched annual sporting event in the United States. The league continued to expand to its current 32 teams. A series of labor agreements during the 1990s and increasingly large television contracts have helped keep the league one of the most profitable in the U.S., and the only major league in the U.S. since 1990 to avoid a work stoppage that resulted in the loss of regular-season games. 
            </p>
        </center>
    {% endblock content %}
</body>
</html>